Bug 1442063 - Parameter ghost not documented in the man pages
Summary: Parameter ghost not documented in the man pages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: autofs
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ian Kent
QA Contact: Kun Wang
URL:
Whiteboard:
Depends On:
Blocks: 1689470
TreeView+ depends on / blocked
 
Reported: 2017-04-13 12:28 UTC by Frank Büttner
Modified: 2019-08-06 13:10 UTC (History)
2 users (show)

Fixed In Version: autofs-5.0.7-104.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1689470 (view as bug list)
Environment:
Last Closed: 2019-08-06 13:10:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch - document ghost option in auto.master man page (1.41 KB, patch)
2017-10-02 06:25 UTC, Ian Kent
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2250 None None None 2019-08-06 13:10:39 UTC

Description Frank Büttner 2017-04-13 12:28:46 UTC
Description of problem:
The option --ghost is not documented in the man pages

Version-Release number of selected component (if applicable):
autofs-5.0.7-56

This option is often need, for application must "see" the path before it will access it.

sample:
/mnt /etc/auto.foo --ghost

so that the dir's that named in /etc/auto.foo displayed, but only mounted, when opened.

Comment 2 Ian Kent 2017-04-17 01:28:33 UTC
I don't think this problem is serious enough to get approval as
an exception for RHEL-7.4 so I've changed the target release to
RHEL-7.5.

Comment 3 Ian Kent 2017-08-16 01:33:14 UTC
(In reply to Frank Büttner from comment #0)
> Description of problem:
> The option --ghost is not documented in the man pages

I think this should be documented in auto.master(5) as a synonym
for the "browse" option which is the preferred option to use, for
compatibility with other autofs implementations, and is already
described in auto.master(5).

The "browse" option has been the preferred usage for quite a
while now.

Comment 4 Ian Kent 2017-10-02 06:25:54 UTC
Created attachment 1333092 [details]
Patch - document ghost option in auto.master man page

Comment 8 errata-xmlrpc 2019-08-06 13:10:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2250


Note You need to log in before you can comment on or make changes to this bug.